Summary:	XF86VidMode extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia XF86VidMode
Name:		xorg-proto-xf86vidmodeproto
Version:	2.3.1
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/xf86vidmodeproto-%{version}.tar.bz2
# Source0-md5:	e793ecefeaecfeabd1aed6a01095174e
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XF86VidMode (XFree86 Video Mode) extension defines a protocol for
dynamically configuring modelines and gamma.

%description -l pl.UTF-8
Rozszerzenie XF86VidMode (XFree86 Video Mode) definiuje protokół do
dynamicznej konfiguracji linii opisujących tryb (modeline) oraz
korekcji gamma.

%package devel
Summary:	XF86VidMode extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia XF86VidMode
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
XF86VidMode (XFree86 Video Mode) extension defines a protocol for
dynamically configuring modelines and gamma.

%description devel -l pl.UTF-8
Rozszerzenie XF86VidMode (XFree86 Video Mode) definiuje protokół do
dynamicznej konfiguracji linii opisujących tryb (modeline) oraz
korekcji gamma.

%prep
%setup -q -n xf86vidmodeproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_includedir}/X11/extensions/xf86vm*.h
%{_pkgconfigdir}/xf86vidmodeproto.pc
%changelog
* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 868f2e4
- dropped pre-cvs changelog

* Fri Jan 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 0126166
- updated to 2.3.1

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> aeac94e
- rel 2

* Sat Oct 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 35a206d
- util-macros version
- XF86VidMode is an extension

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ddc2563
- up to 2.3

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4110c94
- up to 2.2.99.1

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d5005b1
- individual url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 64b8c4f
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 07ff797
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6b94502
- converted to UTF-8

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> 3829a95
- release 1.

* Fri Dec 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 2a9947c
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 2f5d12f
- 2.2.2 (X11R7.0-RC4)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> d5d911b
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 2472d37
- BR: autoconf >= 2.57

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 788adab
- 2.2.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 891558e
- kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> cd15615
- s/pkg-config/pkgconfig/ in BR:

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> e1ff996
- cleanups

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> b85c60b
- modular xorg specs

